Bug 5468 - libyaz3 debian dependency
Summary: libyaz3 debian dependency
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 3.4
Hardware: PC Linux
: PATCH-Sent (DO NOT USE) minor (vote)
Target Milestone: ---
Assignee: MJ Ray (software.coop)
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-03 13:46 UTC by András Kardos
Modified: 2013-12-05 19:53 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
install_misc/apt-get-debian-lenny.sh: obsolete, causing problems and a questionable practice, so deleted INSTALL.debian: updated to use debian.packages instead and cite more related docs (8.45 KB, patch)
2011-06-19 17:06 UTC, MJ Ray (software.coop)
Details | Diff | Splinter Review
install_misc/apt-get-debian-lenny.sh: obsolete, causing problems and a questionable practice, so deleted (8.52 KB, patch)
2011-06-20 08:39 UTC, MJ Ray (software.coop)
Details | Diff | Splinter Review
Bug 5468: install_misc/apt-get-debian-lenny.sh: obsolete, causing problems and a questionable practice, so deleted INSTALL.debian: updated to use debian.packages instead and cite more related docs (8.53 KB, patch)
2011-07-28 22:50 UTC, Chris Cormack
Details | Diff | Splinter Review
proposed patch (passed QA) (8.65 KB, patch)
2011-08-03 15:25 UTC, Paul Poulain
Details | Diff | Splinter Review
Follow up patch for HEAD/3.4.4 (1.99 KB, patch)
2011-09-25 08:04 UTC, Frédéric Demians
Details | Diff | Splinter Review
Follow up patch for HEAD/3.4.4 (2.05 KB, patch)
2011-09-25 08:46 UTC, Frédéric Demians
Details | Diff | Splinter Review
Follow up patch for HEAD/3.4.4 (2.12 KB, patch)
2011-09-25 09:30 UTC, Frédéric Demians
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description András Kardos 2010-12-03 13:46:21 UTC
The koha package depends on libyaz3, which depends on libicu42 which was removed from Debian Squeeze, so koha can't be installed. Could you use libyaz4? Or use it as an alternative?
Comment 1 Robin Sheat 2010-12-05 22:01:54 UTC
Can you provide a bit more detail? The koha-common package depends on 'yaz', which in turn depends on libyaz4.
Comment 2 András Kardos 2010-12-05 23:13:37 UTC
I'll investigate - it might be my mistake.
Comment 3 MJ Ray (software.coop) 2011-06-15 23:24:59 UTC
install_misc/apt-get-debian-lenny.sh says libyaz3.  Is it OK if we rm that file (telling people to run downloaded shell scripts as root is not best practice IMO) and change INSTALL.debian to using debian.packages instead?
Comment 4 Robin Sheat 2011-06-15 23:27:42 UTC
This works for me.
Comment 5 MJ Ray (software.coop) 2011-06-19 17:06:54 UTC Comment hidden (obsolete)
Comment 6 Robin Sheat 2011-06-19 23:17:58 UTC
There's an error in the patch:

 $ sudo dpkg --set-selections < installer_misc/debian.packages

should be:

 $ sudo dpkg --set-selections < install_misc/debian.packages
Comment 7 MJ Ray (software.coop) 2011-06-20 08:39:20 UTC Comment hidden (obsolete)
Comment 8 Chris Cormack 2011-07-28 22:50:20 UTC Comment hidden (obsolete)
Comment 9 Paul Poulain 2011-08-03 15:25:16 UTC Comment hidden (obsolete)
Comment 10 Paul Poulain 2011-08-03 15:30:41 UTC
oups, ian, forgot to put you in the cc list, pls read the previous comment, it's for you
Comment 11 Chris Cormack 2011-08-04 01:40:44 UTC
Pushed
Comment 12 Frédéric Demians 2011-09-25 08:04:29 UTC Comment hidden (obsolete)
Comment 13 Frédéric Demians 2011-09-25 08:46:54 UTC Comment hidden (obsolete)
Comment 14 Frédéric Demians 2011-09-25 09:30:12 UTC Comment hidden (obsolete)
Comment 15 Chris Cormack 2011-12-02 08:00:25 UTC
Lots conflicts on current master
Comment 16 Chris Cormack 2012-06-09 11:05:33 UTC
This is now all fixed in master